
%global meadversion 2011.1.0
%global namedversion 2011.1.0.redhat-9
%global meadalpha .redhat_9
%global meadrel .1
%global serial 1
%global namedversionrel redhat-9

%bcond_without mead

%define maven_version 2011.1.0.redhat-9

Name:           relaxngDatatype-eap6
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RELAX NG Datatype API
License:        BSD
Group:          Development/Java

%if %with mead
Source100: relaxngDatatype-2011.1.0.redhat-9-scm-sources.zip
Source102: relaxngDatatype-2011.1.0.redhat-9-project-sources.tar.gz
Source103: relaxngDatatype-2011.1.0.redhat-9-sources.jar
Source104: relaxngDatatype-2011.1.0.redhat-9-javadoc.jar
Source105: relaxngDatatype-2011.1.0.redhat-9.jar
Source106: relaxngDatatype-2011.1.0.redhat-9.pom
%endif

URL:            https://sourceforge.net/projects/relaxng
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/relaxngDatatype-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/relaxngDatatype-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/relaxngDatatype-%{namedversion}-sources.jar
%{_javadir}/%{name}/relaxngDatatype-sources.jar
%{_javadir}/%{name}/relaxngDatatype-%{namedversion}.jar
%{_javadir}/%{name}/relaxngDatatype.jar

%changelog
* Mon Nov 24 2014 Hui Wang <huwang@redhat.com> - 2011.1.0-1.redhat_9.1
- 

* Mon Nov 24 2014 Hui Wang <huwang@redhat.com> - 2011.1.0-1.redhat_9.1
- Fix OSGI vesrion

* Fri Nov 21 2014 Hui Wang <huwang@redhat.com> - 2011.1.0-1.redhat_9.1
- Fix OSGI version

* Tue Apr 23 2013 Fernando Nasser <fnasser@redhat.com> 0:2011.1-4.redhat_6
- Wrap 2011.1_redhat_6-1

* Fri Apr 12 2013 David Walluck <dwalluck@redhat.com> 0:2011.1-3
- 2011.1-redhat-5 (now built in MEAD)
- add sources jar

* Thu Feb 14 2013 Fernando Nasser <fnasser@redhat.com> 0:2011.1-2.redhat_4
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:2011.1-1
- release
